<template>
  <section class="c-role-your-details c-form-section">
    <Title :text="data.user_details_title" type="secondary" />
    <div class="fields">
      <div class="fields__row">
        <FormInput
          id="firstName"
          :label="data.user_name_text"
          v-model.trim="fields.firstName.$model"
          :placeholder="data.first_name_placeholder"
          :error="formErrorMessagesHandler(fields.firstName)"
          class="label-left"
          :previewValue="`${fields.firstName.$model} ${fields.lastName.$model}`"
        />
        <FormInput
          v-show="!isPreview"
          id="lastName"
          v-model.trim="fields.lastName.$model"
          :placeholder="data.last_name_placeholder"
          :error="formErrorMessagesHandler(fields.lastName)"
        />
      </div>
      <FormInput
        :label="data.email_text"
        type="email"
        id="email"
        v-model.trim="fields.email.$model"
        :placeholder="data.email_placeholder"
        :error="formErrorMessagesHandler(fields.email)"
        class="label-left"
      />
      <FormInput
        :label="data.phone"
        id="phone"
        v-model.trim="fields.phone.$model"
        :placeholder="data.phone_placeholder"
        :error="formErrorMessagesHandler(fields.phone)"
        class="label-left"
      />
    </div>
  </section>
</template>

<script>
import Title from "@/components/ui/Title";
import { errorMixins } from "../mixins/formErrors";
import FormInput from "@/components/ui/form/FormInput";
import { isPreviewMixin } from "../mixins/isPreview";

export default {
  name: "RoleYourDetails",
  components: { Title, FormInput },
  props: {
    fields: {
      type: Object,
      required: true
    }
  },
  mixins: [errorMixins, isPreviewMixin],
  data: function() {
    return {
      data: this.$store.state.data.data.user_details
    };
  }
};
</script>

<style lang="scss">
.c-role-your-details {
  .c-title {
    margin-bottom: 3rem;
  }
}
.fields {
  &__row {
    @include breakpoint(overPhone) {
      display: flex;
    }

    .c-form-control {
      width: 100%;
      @include breakpoint(overPhone) {
        width: auto;
        margin-right: 1rem;
      }
      input {
        @include breakpoint(overPhone) {
          width: 20.8rem;
        }
      }
    }
  }

  input {
    @include breakpoint(overPhone) {
      max-width: 27.4rem;
    }
  }
}
</style>
